Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezforum/admin/categoryedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZForumMain", "Language" )
| $error = new eZINI( "kernel/ezforum/admin/intl/" . $Language . "/categoryedit.php.ini", false )
if(isset( $DeleteCategories)) | $cat = new eZForumCategory()
if( $Action=="insert") if( $Action=="delete") if( $Action=="DeleteCategories") if( $Action=="update") | $t
| $action_value = "update"
if( $Action=="new") | $languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/categoryedit.php.ini", false )
| $headline = $languageIni->variable( "strings", "head_line_insert" )
if( $Action=="edit") | $sectionList =& eZSection::getAll()

## Variable Documentation

## ◆ $action_value

$action_value = "update"

Definition at line 212 of file ezforum/admin/categoryedit.php.

## ◆ $cat

if (isset($DeleteCategories)) $cat = new eZForumCategory()

Definition at line 49 of file ezforum/admin/categoryedit.php.

Referenced by articleCategoryTree(), categoryTree(), eZProduct\extendedSearch(), eZProduct\extendedSearchCount(), eZArticleSupplier\item(), eZProductSupplier\item(), eZArticle\search(), eZArticleSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ $error

$error = new eZINI( "kernel/ezforum/admin/intl/" . $Language . "/categoryedit.php.ini", false )

Definition at line 32 of file ezforum/admin/categoryedit.php.

## ◆ $headline

$headline = $languageIni->variable( "strings", "head_line_insert" )

Definition at line 225 of file ezforum/admin/categoryedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 29 of file ezforum/admin/categoryedit.php.

## ◆ $Language

$Language = $ini->variable( "eZForumMain", "Language" )

Definition at line 31 of file ezforum/admin/categoryedit.php.

## ◆ $languageIni

if ($Action=="new") $languageIni = new eZINI( "kernel/ezforum/admin/" . "intl/" . $Language . "/categoryedit.php.ini", false )

Definition at line 224 of file ezforum/admin/categoryedit.php.

## ◆ $sectionList

if ($Action=="edit") $sectionList =& eZSection::getAll()

Definition at line 249 of file ezforum/admin/categoryedit.php.

## ◆ $t

if ($Action=="insert") if ($Action=="delete") if ($Action=="DeleteCategories") if ($Action=="update") $t

Initial value:
= new eZTemplate( "kernel/ezforum/admin/" . $ini->variable( "eZForumMain", "AdminTemplateDir" ),
"kernel/ezforum/admin/" . "/intl", $Language, "categoryedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezforum/admin/categoryedit.php:31
$ini
$ini
Definition: ezforum/admin/categoryedit.php:29

Definition at line 201 of file ezforum/admin/categoryedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.